> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truestate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Billing Overview



## OpenAPI

````yaml https://api.truestate.io/openapi.json get /billing/overview
openapi: 3.1.0
info:
  title: TrueState Backend API
  summary: >-
    TrueState is an AI platform for business users to create high-impact AI
    solutions.
  description: >

    This **[TrueState](https://www.truestate.io/)** backend API allows our
    clients to automate and more powerfully retrieve and modify data from the
    TrueState platform.


    Example use cases include:


    - Accessing embeddings for a dataset.

    - Automating the process of dataset creation and model retraining as your
    data changes.

    - Much more.


    Our backend is built using the [FastAPI](https://fastapi.tiangolo.com/)
    framework in python

    using [Auth0](https://auth0.com/) and [Client API
    Keys](https://www.truestate.io/dawn/docs) for internal an external
    authentication, respectively.

    Our backend is designed to be secure, scalable, easy to use and well
    documented _(each router with its own linked docs page)_.

    Clients can only access data from their own organisation, as setup in Auth0
    our the Client API Keys. See how
    **[here](https://www.truestate.io/dawn/docs)**.


    **PS**: You can view this API documentation in either
    **[Swagger](swagger/docs)** or **[Redoc](redoc/)**, but only the swagger
    lets you test calls.
  contact:
    name: True State Support
    url: https://www.truestate.io/dawn/docs
    email: support@truestate.io
  license:
    name: Private
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 0.13.95
servers: []
security: []
paths:
  /billing/overview:
    get:
      tags:
        - billing
      summary: Get Billing Overview
      operationId: get_billing_overview_billing_overview_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillingOverview'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    BillingOverview:
      properties:
        subscription_tier:
          anyOf:
            - type: string
            - type: 'null'
          title: Subscription Tier
        plan_display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Plan Display Name
        seat_price_usd:
          anyOf:
            - type: integer
            - type: 'null'
          title: Seat Price Usd
        builder_seats:
          type: integer
          title: Builder Seats
        monthly_seat_total_usd:
          anyOf:
            - type: integer
            - type: 'null'
          title: Monthly Seat Total Usd
        ai_credits_remaining_usd:
          type: number
          title: Ai Credits Remaining Usd
        compute_credits_remaining_usd:
          type: number
          title: Compute Credits Remaining Usd
        member_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Member Limit
        current_period_end:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Current Period End
        subscription_expired_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Subscription Expired At
        has_plan:
          type: boolean
          title: Has Plan
        credit_checks_enabled:
          type: boolean
          title: Credit Checks Enabled
        monthly_cap_us_cents:
          anyOf:
            - type: integer
            - type: 'null'
          title: Monthly Cap Us Cents
        hard_stop_enabled:
          type: boolean
          title: Hard Stop Enabled
        cycle_usage_us_cents:
          type: integer
          title: Cycle Usage Us Cents
        cap_used_pct:
          anyOf:
            - type: number
            - type: 'null'
          title: Cap Used Pct
        is_billing_admin:
          type: boolean
          title: Is Billing Admin
      type: object
      required:
        - subscription_tier
        - plan_display_name
        - seat_price_usd
        - builder_seats
        - monthly_seat_total_usd
        - ai_credits_remaining_usd
        - compute_credits_remaining_usd
        - member_limit
        - current_period_end
        - subscription_expired_at
        - has_plan
        - credit_checks_enabled
        - monthly_cap_us_cents
        - hard_stop_enabled
        - cycle_usage_us_cents
        - cap_used_pct
        - is_billing_admin
      title: BillingOverview
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````